#ifndef MAPCENTEROBJ_H
#define MAPCENTEROBJ_H


#include <QDate>

#include "branchobj.h"

/////////////////////////////////////////////////////////////////////////////
class MapCenterObj:public BranchObj {
public:
    MapCenterObj ();
    MapCenterObj (Q3Canvas*);
    ~MapCenterObj ();
    void clear();
    void init();
    virtual void move      (double,double);
    virtual void moveBy    (double,double);
    virtual void moveAll   (double,double);
    virtual void moveAllBy (double,double);
    virtual void updateLink();
    virtual void updateRelPositions();
    LinkableMapObj* findMapObj(QPoint,LinkableMapObj*);	// find MapObj 
	virtual QString saveToDir (const QString&,const QString&,int, const QPoint&);// Save data recursivly to tempdir
	void setVersion(const  QString &);
	void setAuthor  (const QString &);
	QString getAuthor ();
	void setComment (const QString &);
	QString getComment ();
	QString getDate();
private:
	QString version;					// version string saved in vym file
	QString author;
	QString comment;
	QDate date;
};
#endif
